Skip to main content
GET
/
anti-fraud-service-definitions
/
{anti_fraud_service_definition_id}
Get anti fraud service definition
using RestSharp;


var options = new RestClientOptions("https://api.sandbox.{id}.gr4vy.app/anti-fraud-service-definitions/{anti_fraud_service_definition_id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);

Console.WriteLine("{0}", response.Content);
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.sandbox.{id}.gr4vy.app/anti-fraud-service-definitions/{anti_fraud_service_definition_id}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.get("https://api.sandbox.{id}.gr4vy.app/anti-fraud-service-definitions/{anti_fraud_service_definition_id}")
.header("Authorization", "Bearer <token>")
.asString();
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.{id}.gr4vy.app/anti-fraud-service-definitions/{anti_fraud_service_definition_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
import requests

url = "https://api.sandbox.{id}.gr4vy.app/anti-fraud-service-definitions/{anti_fraud_service_definition_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.sandbox.{id}.gr4vy.app/anti-fraud-service-definitions/{anti_fraud_service_definition_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
curl --request GET \
--url https://api.sandbox.{id}.gr4vy.app/anti-fraud-service-definitions/{anti_fraud_service_definition_id} \
--header 'Authorization: Bearer <token>'
{
  "id": "sift-anti-fraud",
  "type": "anti-fraud-service-definition",
  "display_name": "Stripe",
  "fields": [
    {
      "key": "private_api_key",
      "display_name": "Private API key",
      "required": true,
      "format": "text",
      "secret": true
    }
  ],
  "icon_url": "https://cdn.gr4vy.app/stripe.svg"
}
{
"type": "error",
"code": "unauthorized",
"status": 401,
"message": "No valid API authentication found",
"details": []
}
This endpoint requires the anti-fraud-service-definition.read scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

anti_fraud_service_definition_id
string
required

The unique ID for an anti-fraud service definition.

Example:

"sif-ati-fraud"

Response

Returns an anti fraud service definition.

An available anti fraud service that can be configured.

id
string

The ID of the anti fraud service definition.

Example:

"sift-anti-fraud"

type
enum<string>
default:anti-fraud-service-definition

anti-fraud-service-definition.

Available options:
anti-fraud-service-definition
Example:

"anti-fraud-service-definition"

display_name
string

The display name of this service.

Example:

"Stripe"

fields
object[]

A list of fields that need to be submitted when activating the payment. service.

Minimum array length: 1
icon_url
string

An icon to display for the payment service.

Example:

"https://cdn.gr4vy.app/stripe.svg"